public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-python/signature-dispatch/
@ 2023-07-27 15:57 Michał Górny
  0 siblings, 0 replies; 3+ messages in thread
From: Michał Górny @ 2023-07-27 15:57 UTC (permalink / raw
  To: gentoo-commits

commit:     f2760302b9d8f62eb7ac6f02395d7a2ecd7b7b59
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 27 15:45:09 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jul 27 15:45:09 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f2760302

dev-python/signature-dispatch: Unpin dependencies

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 ...e-dispatch-1.0.1.ebuild => signature-dispatch-1.0.1-r1.ebuild} | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/dev-python/signature-dispatch/signature-dispatch-1.0.1.ebuild b/dev-python/signature-dispatch/signature-dispatch-1.0.1-r1.ebuild
similarity index 80%
rename from dev-python/signature-dispatch/signature-dispatch-1.0.1.ebuild
rename to dev-python/signature-dispatch/signature-dispatch-1.0.1-r1.ebuild
index 19d13a97f45b..4a16a8c0d836 100644
--- a/dev-python/signature-dispatch/signature-dispatch-1.0.1.ebuild
+++ b/dev-python/signature-dispatch/signature-dispatch-1.0.1-r1.ebuild
@@ -4,7 +4,7 @@
 EAPI=8
 
 DISTUTILS_USE_PEP517=flit
-PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_COMPAT=( python3_{10..11} )
 
 inherit distutils-r1 pypi
 
@@ -24,6 +24,12 @@ RDEPEND="
 	>=dev-python/typeguard-3.0.0[${PYTHON_USEDEP}]
 "
 
+src_prepare() {
+	# unpin deps
+	sed -i -e 's:~=:>=:' pyproject.toml || die
+	distutils-r1_src_prepare
+}
+
 python_test() {
 	local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
 	epytest -o addopts=


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/signature-dispatch/
@ 2023-07-27 15:57 Michał Górny
  0 siblings, 0 replies; 3+ messages in thread
From: Michał Górny @ 2023-07-27 15:57 UTC (permalink / raw
  To: gentoo-commits

commit:     0497b8ad88ba53c199b68020a3e7b75997a1a8d3
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 27 15:45:20 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jul 27 15:45:20 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0497b8ad

dev-python/signature-dispatch: Enable py3.12

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/signature-dispatch/signature-dispatch-1.0.1-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/signature-dispatch/signature-dispatch-1.0.1-r1.ebuild b/dev-python/signature-dispatch/signature-dispatch-1.0.1-r1.ebuild
index 4a16a8c0d836..7ad848a7298d 100644
--- a/dev-python/signature-dispatch/signature-dispatch-1.0.1-r1.ebuild
+++ b/dev-python/signature-dispatch/signature-dispatch-1.0.1-r1.ebuild
@@ -4,7 +4,7 @@
 EAPI=8
 
 DISTUTILS_USE_PEP517=flit
-PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_COMPAT=( python3_{10..12} )
 
 inherit distutils-r1 pypi
 


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/signature-dispatch/
@ 2024-06-17 16:27 Michał Górny
  0 siblings, 0 replies; 3+ messages in thread
From: Michał Górny @ 2024-06-17 16:27 UTC (permalink / raw
  To: gentoo-commits

commit:     49127fcea5ae4ca7dcef1167c7f821c73c563a39
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 17 16:07:00 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jun 17 16:25:53 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=49127fce

dev-python/signature-dispatch: Enable py3.13

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/signature-dispatch/signature-dispatch-1.0.1-r1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-python/signature-dispatch/signature-dispatch-1.0.1-r1.ebuild b/dev-python/signature-dispatch/signature-dispatch-1.0.1-r1.ebuild
index 04f5a4598f15..422749befc82 100644
--- a/dev-python/signature-dispatch/signature-dispatch-1.0.1-r1.ebuild
+++ b/dev-python/signature-dispatch/signature-dispatch-1.0.1-r1.ebuild
@@ -1,10 +1,10 @@
-# Copyright 2021-2023 Gentoo Authors
+# Copyright 2021-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
 DISTUTILS_USE_PEP517=flit
-PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( python3_{10..13} )
 
 inherit distutils-r1 pypi
 


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2024-06-17 16:27 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-06-17 16:27 [gentoo-commits] repo/gentoo:master commit in: dev-python/signature-dispatch/ Michał Górny
  -- strict thread matches above, loose matches on Subject: below --
2023-07-27 15:57 Michał Górny
2023-07-27 15:57 Michał Górny

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox